Page MenuHomePhabricator

Users should be (more) aware that references in section preview aren't a part of final rendered section
Closed, ResolvedPublic

Description

Right now the references are appended straight to the content of the preview.

This seems unintuitive in that they won't appear there upon final save of the article. There is no <h*> or <div> or any styling to indicate that the references are not actually going to appear in the section.

Event Timeline

Izno created this task.Feb 5 2016, 2:48 PM
Izno raised the priority of this task from to Low.
Izno updated the task description. (Show Details)
Izno added subscribers: Phil_Boswell, Luke081515, Edgars2007 and 5 others.
Cenarium added a subscriber: Cenarium.EditedFeb 6 2016, 12:16 PM


Is this better ?
I've also wrapped the whole ref preview section in a <span class="mw-ext-cite-cite_section_preview_references" ></span>.

Cenarium claimed this task.Feb 6 2016, 12:29 PM

Change 268870 had a related patch set uploaded (by Cenarium):
In section preview, add preview of references to its own section

https://gerrit.wikimedia.org/r/268870

Is it also possible to hide only the heading of the preferences section with display:none; ?

Cenarium added a comment.EditedFeb 6 2016, 3:21 PM

So that it appears as it did before ?

.mw-ext-cite-cite_section_preview_references h2 {display:none;}

Yes, thank you.

Izno added a comment.Feb 7 2016, 1:51 AM


Is this better ?
I've also wrapped the whole ref preview section in a <span class="mw-ext-cite-section_preview_references" ></span>.

Seems like a div would be more appropriate since the content is a block in nature, though then you have the issue of any floating content? Either way looks good.

Change 268870 merged by jenkins-bot:
In section preview, add preview of references to its own section

https://gerrit.wikimedia.org/r/268870

Jdforrester-WMF set Security to None.
Jdforrester-WMF closed this task as Resolved.Feb 8 2016, 1:56 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

(Not sure about whether this needs to be flagged for Tech/News, but tagging for others to judge.)

Johan added a subscriber: Johan.Feb 8 2016, 12:04 PM

(Not sure about whether this needs to be flagged for Tech/News, but tagging for others to judge.)

Always appreciated, whether it ends up in the newsletter or not.

Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Mar 17 2016, 2:02 PM